commit:     6c0692b5d479bcde775fb759ea2a54df8cf2ae28
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Nov  1 18:32:25 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Nov  1 19:46:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c0692b5

media-libs/libmtp: Add missing || die, DOCS to array, sorting

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 media-libs/libmtp/libmtp-1.1.16.ebuild | 15 ++++++++-------
 media-libs/libmtp/libmtp-9999.ebuild   | 15 ++++++++-------
 2 files changed, 16 insertions(+), 14 deletions(-)

diff --git a/media-libs/libmtp/libmtp-1.1.16.ebuild 
b/media-libs/libmtp/libmtp-1.1.16.ebuild
index 3dff728f84f..ab1ccf9d3d5 100644
--- a/media-libs/libmtp/libmtp-1.1.16.ebuild
+++ b/media-libs/libmtp/libmtp-1.1.16.ebuild
@@ -2,6 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+
 inherit udev user
 
 if [[ ${PV} == 9999* ]]; then
@@ -12,7 +13,7 @@ else
        KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~amd64-fbsd 
~x86-fbsd"
 fi
 
-DESCRIPTION="An implementation of Microsoft's Media Transfer Protocol (MTP)"
+DESCRIPTION="Implementation of Microsoft's Media Transfer Protocol (MTP)"
 HOMEPAGE="http://libmtp.sourceforge.net/";
 
 LICENSE="LGPL-2.1" # LGPL-2+ and LGPL-2.1+ ?
@@ -26,7 +27,7 @@ BDEPEND="
        virtual/pkgconfig
        doc? ( app-doc/doxygen )"
 
-DOCS="AUTHORS README TODO"
+DOCS=( AUTHORS README TODO )
 
 pkg_setup() {
        enewgroup plugdev
@@ -36,15 +37,15 @@ src_prepare() {
        default
 
        # ChangeLog says "RETIRING THIS FILE ..pause..  GIT" (Last entry from 
start of 2011)
-       rm -f ChangeLog
+       rm ChangeLog || die
 
        if [[ ${PV} == 9999* ]]; then
                local crpthf=config.rpath
                local crpthd=/usr/share/gettext/${crpthf}
                if has_version '>sys-devel/gettext-0.18.3' && [[ -e ${crpthd} 
]]; then
-                       cp "${crpthd}" .
+                       cp "${crpthd}" . || die
                else
-                       touch ${crpthf} # This is from upstream autogen.sh
+                       touch ${crpthf} || die # This is from upstream 
autogen.sh
                fi
                eautoreconf
        fi
@@ -52,9 +53,9 @@ src_prepare() {
 
 src_configure() {
        local myeconfargs=(
-               $(use_enable static-libs static)
-               $(use_enable doc doxygen)
                $(use_enable crypt mtpz)
+               $(use_enable doc doxygen)
+               $(use_enable static-libs static)
                --with-udev="$(get_udevdir)"
                --with-udev-group=plugdev
                --with-udev-mode=0660

diff --git a/media-libs/libmtp/libmtp-9999.ebuild 
b/media-libs/libmtp/libmtp-9999.ebuild
index 3dff728f84f..ab1ccf9d3d5 100644
--- a/media-libs/libmtp/libmtp-9999.ebuild
+++ b/media-libs/libmtp/libmtp-9999.ebuild
@@ -2,6 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+
 inherit udev user
 
 if [[ ${PV} == 9999* ]]; then
@@ -12,7 +13,7 @@ else
        KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~amd64-fbsd 
~x86-fbsd"
 fi
 
-DESCRIPTION="An implementation of Microsoft's Media Transfer Protocol (MTP)"
+DESCRIPTION="Implementation of Microsoft's Media Transfer Protocol (MTP)"
 HOMEPAGE="http://libmtp.sourceforge.net/";
 
 LICENSE="LGPL-2.1" # LGPL-2+ and LGPL-2.1+ ?
@@ -26,7 +27,7 @@ BDEPEND="
        virtual/pkgconfig
        doc? ( app-doc/doxygen )"
 
-DOCS="AUTHORS README TODO"
+DOCS=( AUTHORS README TODO )
 
 pkg_setup() {
        enewgroup plugdev
@@ -36,15 +37,15 @@ src_prepare() {
        default
 
        # ChangeLog says "RETIRING THIS FILE ..pause..  GIT" (Last entry from 
start of 2011)
-       rm -f ChangeLog
+       rm ChangeLog || die
 
        if [[ ${PV} == 9999* ]]; then
                local crpthf=config.rpath
                local crpthd=/usr/share/gettext/${crpthf}
                if has_version '>sys-devel/gettext-0.18.3' && [[ -e ${crpthd} 
]]; then
-                       cp "${crpthd}" .
+                       cp "${crpthd}" . || die
                else
-                       touch ${crpthf} # This is from upstream autogen.sh
+                       touch ${crpthf} || die # This is from upstream 
autogen.sh
                fi
                eautoreconf
        fi
@@ -52,9 +53,9 @@ src_prepare() {
 
 src_configure() {
        local myeconfargs=(
-               $(use_enable static-libs static)
-               $(use_enable doc doxygen)
                $(use_enable crypt mtpz)
+               $(use_enable doc doxygen)
+               $(use_enable static-libs static)
                --with-udev="$(get_udevdir)"
                --with-udev-group=plugdev
                --with-udev-mode=0660

Reply via email to